<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/release/tools/avs-cpp-sdk-tools/cm/output2/autoCM_publicRepo/avs-device-sdk/Integration/src -&gt; include Relation</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.7.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_eecb7863cc5539e333a9a51474f7e532.html">Integration</a></li><li class="navelem"><a class="el" href="dir_b305b79323af1f2661a24900bce79295.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="contents">
<h3>src &rarr; include Relation</h3><table class="dirtab"><tr class="dirtab"><th class="dirtab">File in Integration/src</th><th class="dirtab">Includes file in Integration/include</th></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_a_c_l_test_context_8cpp.html">ACLTestContext.cpp</a></td><td class="dirtab"><a class="el" href="dir_84c9947eba37dd4948f5fc1406e22cb3.html">Integration</a>&#160;/&#160;<a class="el" href="_a_c_l_test_context_8h.html">ACLTestContext.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_aip_state_observer_8cpp.html">AipStateObserver.cpp</a></td><td class="dirtab"><a class="el" href="dir_84c9947eba37dd4948f5fc1406e22cb3.html">Integration</a>&#160;/&#160;<a class="el" href="_aip_state_observer_8h.html">AipStateObserver.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_auth_delegate_test_context_8cpp.html">AuthDelegateTestContext.cpp</a></td><td class="dirtab"><a class="el" href="dir_84c9947eba37dd4948f5fc1406e22cb3.html">Integration</a>&#160;/&#160;<a class="el" href="_auth_delegate_test_context_8h.html">AuthDelegateTestContext.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_auth_observer_8cpp.html">AuthObserver.cpp</a></td><td class="dirtab"><a class="el" href="dir_84c9947eba37dd4948f5fc1406e22cb3.html">Integration</a>&#160;/&#160;<a class="el" href="_auth_observer_8h.html">AuthObserver.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_client_message_handler_8cpp.html">ClientMessageHandler.cpp</a></td><td class="dirtab"><a class="el" href="dir_84c9947eba37dd4948f5fc1406e22cb3.html">Integration</a>&#160;/&#160;<a class="el" href="_client_message_handler_8h.html">ClientMessageHandler.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_connection_status_observer_8cpp.html">ConnectionStatusObserver.cpp</a></td><td class="dirtab"><a class="el" href="dir_84c9947eba37dd4948f5fc1406e22cb3.html">Integration</a>&#160;/&#160;<a class="el" href="_connection_status_observer_8h.html">ConnectionStatusObserver.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_observable_message_request_8cpp.html">ObservableMessageRequest.cpp</a></td><td class="dirtab"><a class="el" href="dir_84c9947eba37dd4948f5fc1406e22cb3.html">Integration</a>&#160;/&#160;<a class="el" href="_observable_message_request_8h.html">ObservableMessageRequest.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_s_d_k_test_context_8cpp.html">SDKTestContext.cpp</a></td><td class="dirtab"><a class="el" href="dir_84c9947eba37dd4948f5fc1406e22cb3.html">Integration</a>&#160;/&#160;<a class="el" href="_s_d_k_test_context_8h.html">SDKTestContext.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_test_alert_observer_8cpp.html">TestAlertObserver.cpp</a></td><td class="dirtab"><a class="el" href="dir_84c9947eba37dd4948f5fc1406e22cb3.html">Integration</a>&#160;/&#160;<a class="el" href="_test_alert_observer_8h.html">TestAlertObserver.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_test_auth_delegate_8cpp.html">TestAuthDelegate.cpp</a></td><td class="dirtab"><a class="el" href="dir_84c9947eba37dd4948f5fc1406e22cb3.html">Integration</a>&#160;/&#160;<a class="el" href="_test_auth_delegate_8h.html">TestAuthDelegate.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_test_capability_provider_8cpp.html">TestCapabilityProvider.cpp</a></td><td class="dirtab"><a class="el" href="dir_84c9947eba37dd4948f5fc1406e22cb3.html">Integration</a>&#160;/&#160;<a class="el" href="_test_capability_provider_8h.html">TestCapabilityProvider.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_test_directive_handler_8cpp.html">TestDirectiveHandler.cpp</a></td><td class="dirtab"><a class="el" href="dir_84c9947eba37dd4948f5fc1406e22cb3.html">Integration</a>&#160;/&#160;<a class="el" href="_test_directive_handler_8h.html">TestDirectiveHandler.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_test_exception_encountered_sender_8cpp.html">TestExceptionEncounteredSender.cpp</a></td><td class="dirtab"><a class="el" href="dir_84c9947eba37dd4948f5fc1406e22cb3.html">Integration</a>&#160;/&#160;<a class="el" href="_test_exception_encountered_sender_8h.html">TestExceptionEncounteredSender.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_test_http_put_8cpp.html">TestHttpPut.cpp</a></td><td class="dirtab"><a class="el" href="dir_84c9947eba37dd4948f5fc1406e22cb3.html">Integration</a>&#160;/&#160;<a class="el" href="_test_http_put_8h.html">TestHttpPut.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_test_media_player_8cpp.html">TestMediaPlayer.cpp</a></td><td class="dirtab"><a class="el" href="dir_84c9947eba37dd4948f5fc1406e22cb3.html">Integration</a>&#160;/&#160;<a class="el" href="_test_media_player_8h.html">TestMediaPlayer.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_test_message_sender_8cpp.html">TestMessageSender.cpp</a></td><td class="dirtab"><a class="el" href="dir_84c9947eba37dd4948f5fc1406e22cb3.html">Integration</a>&#160;/&#160;<a class="el" href="_test_message_sender_8h.html">TestMessageSender.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_test_misc_storage_8cpp.html">TestMiscStorage.cpp</a></td><td class="dirtab"><a class="el" href="dir_84c9947eba37dd4948f5fc1406e22cb3.html">Integration</a>&#160;/&#160;<a class="el" href="_test_misc_storage_8h.html">TestMiscStorage.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_test_speech_synthesizer_observer_8cpp.html">TestSpeechSynthesizerObserver.cpp</a></td><td class="dirtab"><a class="el" href="dir_84c9947eba37dd4948f5fc1406e22cb3.html">Integration</a>&#160;/&#160;<a class="el" href="_test_speech_synthesizer_observer_8h.html">TestSpeechSynthesizerObserver.h</a></td></tr></table></div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.7.0 - Copyright 2016-2018 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
